summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Marek Srejma <sam_web@yahoo.de>2016-08-25 11:11:57 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commitfffc1969a89aee4f7ff227794c20b070383250e6 (patch)
tree190968255793426b022e4dc24c98deb02f39260b /office
parent9a5e5869b7d7145751819edfe39de1d659b3b0d9 (diff)
downloadslackbuilds-fffc1969a89aee4f7ff227794c20b070383250e6.tar.gz
slackbuilds-fffc1969a89aee4f7ff227794c20b070383250e6.tar.xz
office/hamster: Added (Gnome time tracker).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/hamster/README7
-rw-r--r--office/hamster/doinst.sh25
-rw-r--r--office/hamster/hamster.SlackBuild96
-rw-r--r--office/hamster/hamster.info10
-rw-r--r--office/hamster/slack-desc19
5 files changed, 157 insertions, 0 deletions
diff --git a/office/hamster/README b/office/hamster/README
new file mode 100644
index 0000000000..39551a3647
--- /dev/null
+++ b/office/hamster/README
@@ -0,0 +1,7 @@
+Hamster - The Gnome Time Tracker
+
+Hamster is time tracking for individuals. It helps you to keep track of
+how much time you have spent during the day on activities you choose to
+track.
+
+Homepage: http://projecthamster.org/
diff --git a/office/hamster/doinst.sh b/office/hamster/doinst.sh
new file mode 100644
index 0000000000..e520e1f9eb
--- /dev/null
+++ b/office/hamster/doinst.sh
@@ -0,0 +1,25 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install hamster-time-tracker.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/office/hamster/hamster.SlackBuild b/office/hamster/hamster.SlackBuild
new file mode 100644
index 0000000000..bc5af41c45
--- /dev/null
+++ b/office/hamster/hamster.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+#
+# Slackware build script for Hamster - The Gnome Time Tracker
+#
+# Copyright 2016 Marek Srejma (sam_web@yahoo.de)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hamster
+VERSION=${VERSION:-1.04}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCHIVE="hamster-time-tracker-$VERSION"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$ARCHIVE
+tar xvf $CWD/$PRGNAM-$ARCHIVE.tar.gz || tar xvf $CWD/$ARCHIVE.tar.gz
+cd $PRGNAM-$ARCHIVE
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure build \
+ --prefix=/usr \
+ --docdir=/usr/doc \
+ --mandir=/usr/man \
+ --libdir=/usr/lib$LIBDIRSUFFIX
+
+DESTDIR=$PKG \
+./waf install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING MAINTAINERS NEWS README.textile TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/hamster/hamster.info b/office/hamster/hamster.info
new file mode 100644
index 0000000000..7003f8b396
--- /dev/null
+++ b/office/hamster/hamster.info
@@ -0,0 +1,10 @@
+PRGNAM="hamster"
+VERSION="1.04"
+HOMEPAGE="http://projecthamster.org/"
+DOWNLOAD="https://github.com/projecthamster/hamster/archive/hamster-time-tracker-1.04.tar.gz"
+MD5SUM="148ffee0c26c5c4ddfa4ebc9a21fa860"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnome-python2-gconf pyxdg"
+MAINTAINER="Marek Srejma"
+EMAIL="sam_web@yahoo.de"
diff --git a/office/hamster/slack-desc b/office/hamster/slack-desc
new file mode 100644
index 0000000000..e62a71c4f4
--- /dev/null
+++ b/office/hamster/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hamster: hamster (Gnome time tracker)
+hamster:
+hamster: Hamster is time tracking for individuals. It helps you to keep track
+hamster: of how much time you have spent during the day on activities you
+hamster: choose to track.
+hamster:
+hamster: Homepage: https://projecthamster.wordpress.com/
+hamster:
+hamster:
+hamster:
+hamster: